Application Manager 64bit?

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

Application Manager 64bit?

Postby sirfragalot » 23. May 2019 06:51

Hi,

XAMPP 7.3.1

Restarting my Mac, I get the message that Application Manager for XAMPP will not be compatible with future versions of OSX. I believe this is to do with the future requirement of OSX – just around the corner – for applications to be 64bit.

Any advice?

Regards,

Mark
sirfragalot
 
Posts: 8
Joined: 08. February 2019 07:10
XAMPP version: 7.3.1-0
Operating System: OSX

Re: Application Manager 64bit?

Postby Nobbie » 23. May 2019 11:15

Ask Apple - they are changing, neither Bitnami nor Xampp. Bitnami does not support OSX with a native version anymore, there is only a virtualmachine based upon Linux Xampp.
Nobbie
 
Posts: 11259
Joined: 09. March 2008 13:04

Re: Application Manager 64bit?

Postby sirfragalot » 23. May 2019 13:35

So, are you saying that the XAMPP Application Manager that OSX complains about is not from XAMPP? It suddenly appeared when I upgraded XAMPP a few months ago so I assume it was part of that package (especially as it's labelled XAMPP in the taskbar).
sirfragalot
 
Posts: 8
Joined: 08. February 2019 07:10
XAMPP version: 7.3.1-0
Operating System: OSX

Re: Application Manager 64bit?

Postby Nobbie » 23. May 2019 14:11

sirfragalot wrote:So, are you saying that the XAMPP Application Manager that OSX complains about is not from XAMPP? I


No, thats not what i said. Are you so bad in reading and understanding?

Lets slowly analyze: "Application Manager for XAMPP will not be compatible with future versions of OSX"

1) What do you think, why Application Manager will not be compatible with "future versions of OSX"?

a) Because future versions of OSX are different to todays version ("I believe this is to do with the future requirement of OSX"), or
b) because future Application Manager from Xampp will be different to todays version?

2) Who and what is responsible for the change of OSX in future?
a) Bitnami or
b) Apple?

Why dont you understand that?

Finally (from https://www.apachefriends.org/de/download.html):

OS X native modules have been deprecated. Please use XAMPP-VM for OS X and the Linux version of the add-ons.

In other words: there is NO future Application Manager natively for OSX. Bitnami cannot do anything about the changes in OSX. OSX is not supported anymore.
Last edited by Nobbie on 23. May 2019 14:28, edited 2 times in total.
Nobbie
 
Posts: 11259
Joined: 09. March 2008 13:04

Re: Application Manager 64bit?

Postby sirfragalot » 23. May 2019 14:22

Ah. A troll. Have a good day . . .

Now . . .
Anyone else able to explain the issue to me in plain English (i.e. for someone not an expert in the matter) and with a semblance of courtesy?

Regards,

Mark
sirfragalot
 
Posts: 8
Joined: 08. February 2019 07:10
XAMPP version: 7.3.1-0
Operating System: OSX

Re: Application Manager 64bit?

Postby Nobbie » 23. May 2019 14:26

sirfragalot wrote:Ah. A troll.


Couldnt you say that before? Starting as new member and behaving like a troll never is a good idea.

What is wrong with you? Why cant you get the message, that Bitnami does not support OSX anymore? You can troll as much as you want ("Rumpelstilzchen"). It does not help.
Nobbie
 
Posts: 11259
Joined: 09. March 2008 13:04


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 2 guests